/**************************************

 Dispell 

 by Dale Cieslak

 created August 8, 1997

 **************************************/

#include "colors.inc"
#include "textures.inc"
#include "dispell.inc"

global_settings
{
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity
  {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

/* * * * * Camera * * * * */
camera
   {  
   location  <2.9 -20.8 20.6>
   direction <0.0 0.0 1.5>
   sky       <0.0 0.0 1.0>  
   up        <0.0 0.0 1.0>  
   right     <1.3 0.0 0.0>
   look_at   <0.0 0.0 7.0>
   }

/* * * * * Lights * * * * */
#declare SphereOne =
sphere
   {
   <0 0 0>, 1
   pigment {color red 1 green 1 blue 1 transmit 1}
   halo
      {
      emitting
      spherical_mapping
      cubic
      turbulence .3
      color_map
         {
         [ 0 color rgbt <0, 1, 1,  1> ]
         [ 1 color rgbt <1, 1, 1, -1> ]
         }
      samples 10
      }
   hollow
   no_shadow
   scale <2 2 2>
   }

light_source
   {
   <-1 0 12>
   color rgbt <1 1 1 1>
   looks_like
      {
      SphereOne
      }
   }

/* * * * * Objects * * * * */

sky_sphere
   {
   pigment
      {
      gradient z
      color_map
         {
         [0.0 color red 0.3 green 0 blue 0.3] [0.3 color red 0.3 green 0 blue 0.3]
         [0.3 color red 0.3 green 0 blue 0.3] [0.7 color red 0.9 green .5 blue 0]
         [0.7 color red 0.9 green .5 blue 0] [0.85 color red 1.0 green 1.0 blue 0.0]
         [0.85 color red 1.0 green 1.0 blue 0] [1.0 color rgb 1]
         }
      }
   }

// the red-orange flame clouds around the ball of light
sphere
   {
   <0 0 0>, 2.5

   pigment
      {
      color red 1 green 1 blue 1 transmit 1
      }
   halo
      {
      emitting
      spherical_mapping
      linear
      turbulence 1.5
      color_map
         {
         [ 0 color rgbt <1, 0, 0,  1> ]
         [ 1 color rgbt <1, 1, 0, -1> ]
         }
      samples 10
      }
   hollow

   scale <2 2 2> 
   translate <-1 0 12>
   }

// the lightning column from the hand to the ball of light
cylinder
   {
   <0 0 0>, <0 9.5 0>, 2
 
   hollow
   pigment
      {
      color red 1 green 1 blue 1 transmit 1
      }
   halo
      {
      emitting
      cylindrical_mapping
      cubic
      turbulence 1
      color_map
         {
         [ 0 color rgbt <0, 1, 1,  1> ]
         [ 1 color rgbt <1, 1, 1, -1> ]
         }
      samples 10
      }
   finish
      {
      ambient 0.9
      }
   rotate <90 0 0>
   translate <-1 0 1.5>
   no_shadow
   }
   
sphere
   {
   <2 0 12> .75
   texture
      {
      Glass
      finish
         {
         ambient 0.7
         }
      }
   }

sphere
   {
   <-1 3 12> .75
   texture
      {
      Glass
      finish
         {
         ambient 0.7
         }
      }
   }

sphere
   {
   <-4 0 12> .75
   texture
      {
      Glass
      finish
         {
         ambient 0.7
         }
      }
   }

// The hand 
blob { // Group001
  threshold 0.3
  sphere { // Sphere006
    <0,0,0>,1.5,1
    scale <0.8, 0.696706, 0.734887>
    rotate <-3.805658, 0.0, -25.0>
    translate  <1.762659, 4.114314, 4.465146>
  }
  cylinder { // upperRing
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <0.8, 0.709494, 1.24>
    rotate <32.643181, 0.0, -25.0>
    translate  <1.762659, 4.114314, 4.465146>
  }
  cylinder { // middleRing
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <0.8, 0.696706, 1.26>
    rotate <-3.805658, 0.0, -25.0>
    translate  <1.6918, 3.962355, 1.944544>
  }
  sphere { // Sphere005
    <0,0,0>,1.5,1
    scale <1.0, 0.8, 1.0>
    rotate <-45.0, 0.0, -25.0>
    translate  <0.87, 2.2, 0.0>
  }
  cylinder { // lowerRing
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <1.0, 0.8, 1.38>
    rotate <-45.0, 0.0, -25.0>
    translate  <0.87, 2.2, 0.0>
  }
  sphere { // Sphere004
    <0,0,0>,1.5,1
    scale <0.8, 0.696706, 0.734887>
    rotate -3.805658*x
    translate  <-0.78, 5.104231, 4.871069>
  }
  cylinder { // upperMiddle
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <0.8, 0.709494, 1.35>
    rotate 32.643181*x
    translate  <-0.78, 5.104231, 4.871069>
  }
  cylinder { // middleMiddle
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <0.8, 0.696706, 1.37>
    rotate -3.805658*x
    translate  <-0.78, 4.92132, 2.12132>
  }
  sphere { // Sphere003
    <0,0,0>,1.5,1
    scale <1.0, 0.8, 1.0>
    rotate -45.0*x
    translate  <-0.78, 2.8, 0.0>
  }
  cylinder { // lowerMiddle
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <1.0, 0.8, 1.5>
    rotate -45.0*x
    translate  <-0.78, 2.8, 0.0>
  }
  sphere { // Sphere002
    <0,0,0>,1.5,1
    scale <0.8, 0.696706, 0.734887>
    rotate <-3.805658, 0.0, 25.0>
    translate  <-3.467368, 4.474528, 4.641923>
  }
  cylinder { // upperPointer
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <0.8, 0.709494, 1.35>
    rotate <32.643181, 0.0, 25.0>
    translate  <-3.467368, 4.474528, 4.641923>
  }
  cylinder { // middlePointer
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <0.8, 0.696706, 1.26>
    rotate <-3.805658, 0.0, 25.0>
    translate  <-3.396509, 4.322569, 2.12132>
  }
  sphere { // Sphere001
    <0,0,0>,1.5,1
    scale <1.0, 0.8, 1.0>
    rotate <-45.0, 0.0, 25.0>
    translate  <-3.396509, 4.322569, 2.12132>
  }
  cylinder { // lowerPointer
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <1.0, 0.8, 1.5>
    rotate <-45.0, 0.0, 25.0>
    translate  <-2.5, 2.4, 0.0>
  }
  sphere { // Sphere010
    <0,0,0>,0.75,1
    scale <0.951315, 0.955916, 0.989688>
    rotate <-41.376698, -13.226398, -40.221981>
    translate  <-4.3, -0.67394, 2.819078>
  }
  cylinder { // upperThumb
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <0.791315, 0.90916, 1.28>
    rotate <-57.376698, -13.226398, -40.221981>
    translate  <-4.5, -0.67394, 2.619078>
  }
  sphere { // Sphere009
    <0,0,0>,1.5,1
    scale <0.791315, 0.906059, 1.0>
    rotate <-15.138246, -13.226398, -40.221981>
    translate  <-4.3, -1.7, 0.0>
  }
  cylinder { // lowerThumb
    <0,0,1>, <0,0,0>, 1.75,1.5
    scale <0.791315, 0.906059, 1.5>
    rotate <-15.138246, -13.226398, -40.221981>
    translate  <-4.5, -1.7, 0.0>
  }
  sphere { // Sphere008
    <0,0,0>,1.5,1
    scale <0.75, 0.653162, 0.688956>
    rotate <-3.805658, 0.0, -45.0>
    translate  <3.036225, 1.416225, 2.893826>
  }
  cylinder { // upperPinky
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <0.7, 0.620807, 1.24>
    rotate <32.643181, 0.0, -45.0>
    translate  <3.036225, 1.416225, 2.893826>
  }
  cylinder { // middlePinky
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <0.75, 0.653162, 0.91>
    rotate <-3.805658, 0.0, -45.0>
    translate  <2.95, 1.33, 1.06066>
  }
  sphere { // Sphere007
    <0,0,0>,1.5,1
    scale <1.0, 0.8, 1.0>
    rotate <-45.0, 0.0, -45.0>
    translate  <2.95, 1.33, 1.06066>
  }
  cylinder { // lowerPinky
    <0,0,1>, <0,0,0>, 1.5,1.5
    scale <1.0, 0.8, 0.75>
    rotate <-45.0, 0.0, -45.0>
    translate  <2.2, 0.58, 0.0>
  }
  sphere { // knuckPinky
    <0,0,0>,1.5,2
    translate  <2.2, 0.58, 0.0>
  }
  sphere { // knuckRing
    <0,0,0>,1.5,2
    translate  <0.87, 2.2, 0.0>
  }
  sphere { // knuckMiddle
    <0,0,0>,1.5,2
    translate  <-0.78, 2.8, 0.0>
  }
  sphere { // knuckPointer
    <0,0,0>,1.5,2
    translate  <-2.5, 2.4, 0.0>
  }
  sphere { // knuckThumb
    <0,0,0>,1.15,2
    translate  <-4.3, -1.7, 0.0>
  }
  sphere { // Sphere013
    <0,0,0>,1.5,4
    scale <3.0, 3.0, 1.0>
    rotate 30.0*x
    translate  <-1.13566, 0.571646, -0.817427>
  }
  sphere { // Sphere012
    <0,0,0>,1.5,3
    scale <1.5, 1.5, 3.5>
    rotate <-60.0, 0.0, -10.0>
    translate  <1.25, 0.084794, -1.5>
  }
  sphere { // Sphere011
    <0,0,0>,1.5,4
    scale <1.5, 2.0, 3.0>
    rotate <0.0, -60.0, -35.0>
    translate  <-2.2, -2.1, -1.8>
  }
  texture {
    skinn
  }
}




